        !COMPILER-GENERATED INTERFACE MODULE: Mon Feb 13 16:37:40 2012
        MODULE FUN_mod
          INTERFACE 
            FUNCTION FUN(N,X) RESULT(FUN_0)
              INTEGER(KIND=4) :: N
              REAL(KIND=8) :: X(N)
              REAL(KIND=8) :: FUN_0
            END FUNCTION FUN
          END INTERFACE 
        END MODULE FUN_mod
